Have you found this problem trying add a library (aar) into your Android App?

Duplicate class android.support.v4.app.INotificationSideChannel found in modules core-1.5.0-rc01-runtime (androidx.core:core:1.5.0-rc01) and support-compat-25.0.0-runtime (com.android.support:support-compat:25.0.0) Duplicate class android.support.v4.app.INotificationSideChannel$Stub found in modules core-1.5.0-rc01-runtime (androidx.core:core:1.5.0-rc01) and support-compat-25.0.0-runtime (com.android.support:support-compat:25.0.0) Duplicate class android.support.v4.app.INotificationSideChannel$Stub$Proxy found in modules core-1.5.0-rc01-runtime (androidx.core:core:1.5.0-rc01) and support-compat-25.0.0-runtime (com.android.support:support-compat:25.0.0) Duplicate class android.support.v4.os.IResultReceiver found in modules core-1.5.0-rc01-runtime (androidx.core:core:1.5.0-rc01) and support-compat-25.0.0-runtime (com.android.support:support-compat:25.0.0) Duplicate class android.support.v4.os.IResultReceiver$Stub found in modules core-1.5.0-rc01-runtime (androidx.core:core:1.5.0-rc01) and support-compat-25.0.0-runtime (com.android.support:support-compat:25.0.0) Duplicate class android.support.v4.os.IResultReceiver$Stub$Proxy found in modules core-1.5.0-rc01-runtime (androidx.core:core:1.5.0-rc01) and support-compat-25.0.0-runtime (com.android.support:support-compat:25.0.0) Duplicate class android.support.v4.os.ResultReceiver found in modules core-1.5.0-rc01-runtime (androidx.core:core:1.5.0-rc01) and support-compat-25.0.0-runtime (com.android.support:support-compat:25.0.0) Duplicate class android.support.v4.os.ResultReceiver$1 found in modules core-1.5.0-rc01-runtime (androidx.core:core:1.5.0-rc01) and support-compat-25.0.0-runtime (com.android.support:support-compat:25.0.0) Duplicate class android.support.v4.os.ResultReceiver$MyResultReceiver found in modules core-1.5.0-rc01-runtime (androidx.core:core:1.5.0-rc01) and support-compat-25.0.0-runtime (com.android.support:support-compat:25.0.0) Duplicate class android.support.v4.os.ResultReceiver$MyRunnable found in modules core-1.5.0-rc01-runtime (androidx.core:core:1.5.0-rc01) and support-compat-25.0.0-runtime (com.android.support:support-compat:25.0.0) Go to the documentation to learn how to Fix dependency resolution errors.

No worries. The solution is very straight forward.

In add following line in gradle.properties:

android.enableJetifier=true
Lenguaje del código: JavaScript (javascript)

Deja una respuesta

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

Rellena este campo
Rellena este campo
Por favor, introduce una dirección de correo electrónico válida.
Tienes que aprobar los términos para continuar